﻿using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.Text;

namespace ServerNodeLib
{
	[Serializable()]
	public class BatchTemplate
	{
		public BatchTemplate()
		{
			this.Name = String.Empty;
			this.BaseBatch = new Batch();
			this.StartConfigIndex = 0;
			this.EndConfigIndex = 1;
		}
		/// <summary>
		/// The name of the batch template.
		/// </summary>
		public String Name;
		/// <summary>
		/// The base batch to apply the pattern to.
		/// </summary>
		public Batch BaseBatch;
		// simple pattern now: sequential
		/// <summary>
		/// Inclusive beginning index of %i%
		/// </summary>
		public int StartConfigIndex;
		/// <summary>
		/// Exclusive ending index of %i%
		/// </summary>
		public int EndConfigIndex;
	}
}