﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ServerNodeLib
{
	/// <summary>
	/// Provides constant string keys for the different nodes columns
	/// Origianlly I thought this would be a private, internal class,
	/// but I soon realized that I either needed heavy wrappes for the 
	/// client or simply expose this info.  I chose the quicest route.
	/// </summary>
	public class NodesTableKeys
	{
		private NodesTableKeys() { }
		public static String NodeId = "NodeId";
		public static String Status = "Status";
		public static String LastSeen = "LastSeen";
		public static String BatchId = "BatchId";
		public static String NextAction = "NextAction";
		public static String NodeName = "Name";
	}

	public class BatchTableKeys
	{
		private BatchTableKeys() { }
		public static String BatchId = "BatchId";
		public static String BatchObject = "BatchObject";
		public static String BatchDuration = "BatchDuration";
		public static String BatchStatus = "BatchStatus";
		public static String BatchComments = "BatchComments";
		public static String BatchGroupId = "BatchGroupId";
		public static String NodeId = "NodeId";
	}

	public class ClientSettingKeys
	{
		private ClientSettingKeys() { }
		public static String NodeName = "NodeName";
		public static String LongTimeout = "LongTimeout";
		public static String ShortTimeout = "ShortTimeout";
		public static String AcceptNewJobs = "AcceptNewJobs";
	}
}
